﻿<?xml version="1.0" encoding="utf-8" ?>
<forms:BaseContentPage  xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms" xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels" x:DataType="viewmodels:ListTimeItemViewModel"
                        x:Class="TimeTracker.Apps.Pages.ListTimeItemPage">

    <NavigationPage.TitleView x:Title="Fraude">
        
        <ImageButton Source="test2.png"
                     HorizontalOptions="Center"
                     VerticalOptions="CenterAndExpand"
                     WidthRequest="50" HeightRequest="50"
                     BorderColor="Transparent"
                     BackgroundColor="Transparent"
                     Command="{Binding BackToTaskCommand}"/>
    </NavigationPage.TitleView>
    <ContentPage.Resources>
        <DataTemplate x:DataType="viewmodels:Time" x:Key="TimeTemplate">
            <ViewCell>
                <StackLayout Orientation="Vertical" HorizontalOptions="StartAndExpand">
                    <Label Text="{Binding Id}"
                           FontSize="25"
                           FontAttributes="Bold"
                           LineBreakMode="WordWrap"
                           TextColor="CadetBlue" 
                    />
                    <Label Text="{Binding Total_sec}"
                           FontSize="18"
                           FontAttributes="Italic"
                           TextColor="Black">

                    </Label>
                    <Grid ColumnDefinitions="*,*" >
                        <Button Grid.Column="0"
                                Text="Supprimer"
                                TextColor="White"
                                BackgroundColor="DarkRed"
                                CornerRadius="32"
                                Margin="5"
                                Command="{Binding DeleteCommand}"
                                CommandParameter="{Binding .}"
                        />
                        <Button Grid.Column="1"
                                Text="Modifier"
                                TextColor="White"
                                BackgroundColor="DarkBlue"
                                CornerRadius="32"
                                Margin="5"
                                Command="{Binding ModifyCommand}"
                                CommandParameter="{Binding .}"
                        />
                    </Grid>
                </StackLayout>
            </ViewCell>
        </DataTemplate>
    </ContentPage.Resources>
    <StackLayout>
    <Grid RowDefinitions="*, Auto" Margin="12,0,12,48">
        <ListView ItemsSource="{Binding TimeItems}"
                  Grid.Row="0"
                  HasUnevenRows="True"
                  ItemTemplate="{StaticResource TimeTemplate }"
                  />
        </Grid>
    <StackLayout Padding="20"> 
        <Button Text="Ajouter temps"
                TextColor="White"
                FontSize="Body"
                FontAttributes="Bold"
                BackgroundColor="CadetBlue"
                CornerRadius="32"
                Margin="5"
                HorizontalOptions="FillAndExpand"
                Command="{Binding AddTimeItemCommand}"
                />
    </StackLayout>
        <Label></Label>
    </StackLayout>
</forms:BaseContentPage>